/* reset CSS defaults */
html, body{
    margin: 0;
    padding: 0;
}

body{
    font-family: 'Montserrat', sans-serif;
}

/* Navigation Bar */
.navigation{
    display: flex;
    justify-content: space-between;
    padding: 0 1rem;
}

.links ul{
    display: flex;
    padding: 0 2rem;
    list-style-type: none;
}

.links ul li{
    margin: 0 1rem;
}

.links ul li a{
    color:black;
    text-decoration: none;
} 

.links ul li a:hover{
   background-color: pink;
   padding: 0.8rem 0.5rem;
} 

/* Hero Section */
.hero{
    width: 100%;
    height: 70vh;

    /* flex-box */
    display: flex;
    justify-content: center;
    align-items: center;

    /* background image*/
    background-image: url('../images/hero-1.jpg');
    background-size: cover;
    background-position: center;
}

.hero h1{
    color: whitesmoke;
    font-size: 5rem;
}

/* Gallery section */
.gallery{
    width: 100%;
}

/* .h2 will go here later*/
.gallery h2{
    text-align: center;
    margin-top: 2rem;
}

.row{
    display: flex;
    width: 100%;
    height: 40%;
    margin: 1rem 0;
}

/* base styling for all boxes */
.box{
    background: lightgray;
    /* referencing the width and height of the row  */
    width: 100%;
    height: 100%;
    margin: 1rem;
    border-radius: 8px;

    /* apply background image sizing  */
    background-size: cover;
    background-position: center;

    /* apply flexbox realign the text */
    display: flex;
    justify-content: center;
    align-items: flex-end;
}

/* images */
#box-1{
    background-image: url('../images/gallery-image-1.jpg');
}

#box-2{
    background-image: url('../images/gallery-image-2.jpg');
}

#box-3{
    background-image: url('../images/gallery-image-3.jpg');
}

#box-4{
    background-image: url('../images/gallery-image-4.jpg');
}

#box-5{
    background-image: url('../images/gallery-image-5.jpg');
}

#box-6{
    background-image: url('../images/gallery-image-6.jpg');
}

#box-7{
    background-image: url('../images/gallery-image-7.jpg');
}

#box-8{
    background-image: url('../images/gallery-image-8.jpg');
}

#box-9{
    background-image: url('../images/gallery-image-9.jpg');
}

#box-10{
    background-image: url('../images/gallery-image-10.jpg');
}

#box-11{
    background-image: url('../images/gallery-image-11.jpg');
}

#box-12{
    background-image: url('../images/gallery-image-12.jpg');
}
/* footer */
footer{
    width: 100%;
    min-height: 300px;
    background-color: black;
}

footer p{
    color: white;
    text-align:left;
    margin: 1rem;
    padding: 2rem;
}